Package: org.gradle.nativeplatform

## [Java] Class NativeExecutableFileSpec

- org.gradle.nativeplatform.NativeExecutableFileSpec

- Specifies how to build and where to place a native executable file.

  TODO:HH resolve naming conflict with existing NativeExecutableSpec

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getFile()`
    `ToolChain` | `getToolChain()`
    `void` | `setFile(File file)`
    `void` | `setToolChain(ToolChain toolChain)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public File getFile()

    - #### public ToolChain getToolChain()

    - #### public void setFile(File file)

    - #### public void setToolChain(ToolChain toolChain)